import*as _ from'lodash-es';import*as React from'react';import {useQuery}from'@apollo/client/react/index.js';import {getAllDockerRegistriesDocument}from'@ops-stack/core';import {RegistrySelectorComponent}from'../components/RegistrySelector.js';function RegistrySelector({
  onChange,
  ...rest
}) {
  const {
    loading,
    data
  } = useQuery(getAllDockerRegistriesDocument);
  return React.createElement(RegistrySelectorComponent, {
    onChange: onChange,
    loading: loading,
    list: _.get(data, 'allDockerRegistries', []),
    ...rest
  });
}export{RegistrySelector};//# sourceMappingURL=RegistrySelector.js.map
