import*as _ from'lodash-es';import*as React from'react';import {useQuery}from'@apollo/client/react/index.js';import {tagsDocument}from'@ops-stack/core';import {TagSelectorComponent}from'../components/TagSelector.js';import'react-fela';import'antd';import'@ant-design/icons';function TagSelector({
  registry,
  image,
  selected
}) {
  const {
    loading,
    data
  } = useQuery(tagsDocument, {
    skip: !selected,
    variables: {
      registry,
      image: image.id
    }
  });
  return React.createElement(React.Fragment, null, React.createElement(TagSelectorComponent, {
    image: image,
    loading: loading,
    registry: registry,
    disabled: !selected,
    tags: _.get(data, 'dockerRegistryImageTags.tags') || []
  }));
}export{TagSelector};//# sourceMappingURL=TagSelector.js.map
